import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  accountSid: SortOrderSchema.optional(),
  authToken: SortOrderSchema.optional(),
  phoneNumber: SortOrderSchema.optional(),
  greetingMessage: SortOrderSchema.optional()
}).strict();
export const TwilioSettingsMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.TwilioSettingsMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.TwilioSettingsMaxOrderByAggregateInput>;
export const TwilioSettingsMaxOrderByAggregateInputObjectZodSchema = makeSchema();
